import { Http } from '@angular/http';
import { DAFService, BaseModeledResponse, JSONSchema } from '@lowcodeunit/common';
import { Observable } from 'rxjs';
import { JSONSchemaMap, SchemaFunctionDefinition, ForgeJSONSchema } from '@lowcodeunit/core';
export declare class SchemaFlowService extends DAFService {
    protected rootUrl: string;
    constructor(http: Http);
    GetAllJSONSchemas(flowId: string): Observable<BaseModeledResponse<JSONSchemaMap[]>>;
    GetAllSchemaFunctionDefinitions(): Observable<BaseModeledResponse<SchemaFunctionDefinition[]>>;
    SaveJSONSchema(schema: JSONSchema): Observable<BaseModeledResponse<JSONSchemaMap>>;
    protected removeForgeElementsFromJSONSchema(schema: ForgeJSONSchema): ForgeJSONSchema;
}
